> ## Documentation Index
> Fetch the complete documentation index at: https://docs.aegister.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List organizations

> Retrieve Organization list.
The list contains only Organizations the current authenticated user is part of.



## OpenAPI

````yaml get /api/v1/organizations
openapi: 3.1.0
info:
  title: Aegister API
  version: 1.0.5
servers: []
security: []
paths:
  /api/v1/organizations:
    get:
      tags:
        - organizations
      summary: List organizations
      description: >-
        Retrieve Organization list.


        The list contains only Organizations the current authenticated user is
        part of.
      operationId: organizations_retrieve
      parameters:
        - in: query
          name: editable
          schema:
            type: boolean
          description: Filter organizations that authenticated user can edit.
        - in: query
          name: industries[]
          schema:
            type: array
            items:
              type: string
          description: Filter organizations by industry.
        - in: query
          name: limit
          schema:
            type: number
            default: 50
          description: Max number of reponse items.
        - in: query
          name: name
          schema:
            type: string
          description: |-
            Filter by organization name.  
            Checks if Organization's name contains this value.  
            This filter is case insensitive.
        - in: query
          name: nis2_sectors[]
          schema:
            type: array
            items:
              type: string
          description: Filter organizations by NIS 2 sector slug.
        - in: query
          name: offset
          schema:
            type: number
            default: 0
          description: Offset response items.
        - in: query
          name: order
          schema:
            type: string
            default: '-id'
          description: Order results by item field.
          examples:
            IdDesc:
              value: '-id'
              summary: id desc
              description: Order by id desc
            IdAsc:
              value: id
              summary: id asc
              description: Order by id asc
            Data_title:
              value: data__title
              summary: title asc
              description: Order by title asc
        - in: query
          name: owned
          schema:
            type: boolean
          description: Filter organizations that authenticated user owns.
        - in: query
          name: sectors[]
          schema:
            type: array
            items:
              type: string
          description: Filter organizations by sector.
      responses:
        '200':
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: integer
                    description: |-
                      Any value different from 0 indicates an error.  
                      More details can be found in `messages`.
                    minimum: 0
                    maximum: 0
                    examples:
                      - 0
                  messages:
                    type: array
                    description: >-
                      If `error` is `1`, contains zero or more details on the
                      error.
                    examples:
                      - []
                  total:
                    type: number
                    description: >-
                      Total number of items that meet the list filter.  

                      This doesn't represent the number of items inside the
                      `data` array.
                    minimum: 0
                    examples:
                      - 20
                      - 30
                      - 40
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: number
                          examples:
                            - 5
                            - 10
                            - 15
                          description: Unique identifier for the Organization.
                        name:
                          type: string
                          examples:
                            - Sample Organization
                            - My Organization
                          description: Organization common name.
                        description:
                          type: string
                          description: Short description of the Organization.
                          examples:
                            - >-
                              Lorem ipsum dolor sit amet, consectetur adipiscing
                              elit. Integer et posuere erat. Phasellus iaculis
                              metus mauris, quis accumsan felis fermentum at.
                        ips:
                          type: array
                          description: Organization public IPs.
                          items:
                            type: string
                            format: ipv4
                            description: Public IPv4 address.
                            examples:
                              - 11.22.33.44
                              - 30.40.50.60
                        logo:
                          type: string
                          format: uri
                          examples:
                            - https://sample.com/logo.svg
                            - https://my.organization.com/logo.png
                          description: Organization logo URL.
                        domains:
                          type: array
                          description: Organization owned domains.
                          items:
                            type: string
                            format: hostname
                            examples:
                              - sample.com
                              - my.organization.com
                        website:
                          type: string
                          format: uri
                          description: Organization main website.
                          examples:
                            - https://sample.com
                            - https://my.organization.com
                        sectors:
                          type: array
                          description: Sectors in which the Organization operates.
                          items:
                            type: string
                            enum:
                              - Agriculture
                              - Arts & Entertainment
                              - Business Services
                              - Construction
                              - Consumer Discretionary
                              - Consumer Staples
                              - Cybersecurity & Compliance Services
                              - Education
                              - Energy
                              - Financials
                              - Health Care
                              - Hospitality & Tourism
                              - Information Technology
                              - Manufacturing
                              - Materials
                              - Media
                              - Professional Services
                              - Public Sector
                              - Real Estate
                              - Retail
                              - Science & Technology
                              - Telecommunications
                              - Transportation
                              - Utilities
                              - Wholesale & Distribution
                        industries:
                          type: array
                          description: Industries in which the Organization operates.
                          items:
                            type: string
                            enum:
                              - Accounting
                              - Airlines/Aviation
                              - Alternative Dispute Resolution
                              - Alternative Medicine
                              - Animation
                              - Apparel/Fashion
                              - Architecture/Planning
                              - Arts/Crafts
                              - Automotive
                              - Aviation/Aerospace
                              - Banking/Mortgage
                              - Biotechnology/Greentech
                              - Broadcast Media
                              - Building Materials
                              - Business / Management Consultancy
                              - Business Supplies/Equipment
                              - Capital Markets/Hedge Fund/Private Equity
                              - Chemicals
                              - Civic/Social Organization
                              - Civil Engineering
                              - Commercial Real Estate
                              - Compliance & Risk Services
                              - Computer Games
                              - Computer Hardware
                              - Computer Networking
                              - Computer Software/Engineering
                              - Computer/Network Security
                              - Construction
                              - Consumer Electronics
                              - Consumer Goods
                              - Consumer Services
                              - Cosmetics
                              - Cybersecurity Services (MSSP/MDR)
                              - Dairy
                              - Defense/Space
                              - Design
                              - E-Learning
                              - Education Management
                              - Electrical/Electronic Manufacturing
                              - Entertainment/Movie Production
                              - Environmental Services
                              - Events Services
                              - Executive Office
                              - Facilities Services
                              - Farming
                              - Financial Services
                              - Fine Art
                              - Fishery
                              - Food & Beverage Distribution
                              - Food Production
                              - Food/Beverages
                              - Fundraising
                              - Furniture
                              - Gambling/Casinos
                              - Glass/Ceramics/Concrete
                              - Government Administration
                              - Government Relations
                              - Graphic Design/Web Design
                              - Health/Fitness
                              - Higher Education/Acadamia
                              - Hospital/Health Care
                              - Hospitality
                              - Human Resources/HR
                              - IT Managed Services (MSP)
                              - Import/Export
                              - Individual/Family Services
                              - Industrial Automation
                              - Information Services
                              - Information Technology/IT
                              - Insurance
                              - International Affairs
                              - International Trade/Development
                              - Internet
                              - Investment Banking/Venture
                              - Investment Management/Hedge Fund/Private Equity
                              - Judiciary
                              - Law Enforcement
                              - Law Practice/Law Firms
                              - Legal Services
                              - Legislative Office
                              - Leisure/Travel
                              - Library
                              - Logistics/Procurement
                              - Luxury Goods/Jewelry
                              - Machinery
                              - Maritime
                              - Market Research
                              - Marketing/Advertising/Sales
                              - Mechanical or Industrial Engineering
                              - Media Production
                              - Medical Equipment
                              - Medical Practice
                              - Mental Health Care
                              - Military Industry
                              - Mining/Metals
                              - Motion Pictures/Film
                              - Museums/Institutions
                              - Music
                              - Nanotechnology
                              - Newspapers/Journalism
                              - Non-Profit/Volunteering
                              - Oil/Energy/Solar/Greentech
                              - Online Publishing
                              - Other Industry
                              - Outsourcing/Offshoring
                              - Package/Freight Delivery
                              - Packaging/Containers
                              - Paper/Forest Products
                              - Performing Arts
                              - Pharmaceuticals
                              - Philanthropy
                              - Photography
                              - Plastics
                              - Political Organization
                              - Primary/Secondary Education
                              - Printing
                              - Professional Training
                              - Program Development
                              - Public Relations/PR
                              - Public Safety
                              - Publishing Industry
                              - Railroad Manufacture
                              - Ranching
                              - Real Estate/Mortgage
                              - Recreational Facilities/Services
                              - Religious Institutions
                              - Renewables/Environment
                              - Research Industry
                              - Restaurants
                              - Retail Industry
                              - Security/Investigations
                              - Semiconductors
                              - Shipbuilding
                              - Sporting Goods
                              - Sports
                              - Staffing/Recruiting
                              - Supermarkets
                              - Telecommunications
                              - Textiles
                              - Think Tanks
                              - Tobacco
                              - Translation/Localization
                              - Transportation
                              - Utilities
                              - Venture Capital/VC
                              - Veterinary
                              - Warehousing
                              - Wholesale
                              - Wine/Spirits
                              - Wireless
                              - Writing/Editing
                        nis2_sector:
                          type: string
                          description: >-
                            NIS 2 directive sector slug (Annex I or II) the
                            Organization falls under. Optional.
                          enum:
                            - ''
                            - Acqua potabile
                            - Acque reflue
                            - Energia - Energia elettrica
                            - Energia - Gas
                            - Energia - Idrogeno
                            - Energia - Petrolio
                            - Energia - Petrolio/Gas
                            - Energia - Stoccaggio
                            - Energia - Teleriscaldamento
                            - Gestione servizi TIC (B2B)
                            - Infrastrutture digitali
                            - Infrastrutture mercati finanziari
                            - Settore bancario
                            - Settore sanitario
                            - Settore sanitario - Farmaceutico
                            - Settore sanitario - Ricerca
                            - Spazio
                            - Trasporti - Aereo
                            - Trasporti - Ferroviario
                            - Trasporti - Marittimo
                            - Trasporti - Porti
                            - Trasporti - Strada
                            - Trasporti - Vie d'acqua interne
                            - Fabbricazione - Altri mezzi di trasporto
                            - Fabbricazione - Apparecchiature elettriche
                            - Fabbricazione - Autoveicoli
                            - Fabbricazione - Dispositivi medici
                            - Fabbricazione - Elettronica
                            - Fabbricazione - Macchinari
                            - Fabbricazione sostanze chimiche
                            - Fornitori di servizi digitali
                            - Gestione dei rifiuti
                            - Produzione e distribuzione alimenti
                            - Ricerca
                            - Servizi postali e di corriere
                            - Cultura
                            - Istruzione e Ricerca
                            - PA
                            - Trasporto pubblico locale
                        compliance_frameworks:
                          type: array
                          description: >-
                            Compliance frameworks required by the Organization
                            and framework-specific metadata. Metadata-only; does
                            not alter V-CISO workflow associations.
                          items:
                            type: object
                            required:
                              - value
                              - fields
                            properties:
                              value:
                                type: string
                                description: Compliance framework identifier.
                                enum:
                                  - ISO 27001:2023
                                  - NIS2
                                examples:
                                  - ISO 27001:2023
                                  - NIS2
                              fields:
                                type: object
                                description: Framework-specific metadata.
                                properties:
                                  extensions:
                                    type: array
                                    description: Optional ISO 27001 extensions.
                                    items:
                                      type: string
                                      enum:
                                        - ISO 27017:2021
                                        - ISO 27018:2020
                                  entity_type:
                                    type: string
                                    description: Required for NIS 2 selected organizations.
                                    enum:
                                      - important
                                      - essential
                                additionalProperties: true
                          examples:
                            - - value: ISO 27001:2023
                                fields:
                                  extensions:
                                    - ISO 27017:2021
                              - value: NIS2
                                fields:
                                  entity_type: important
                        infrastructure:
                          type: string
                          description: Organization infrastructure in-use.
                          enum:
                            - cloud
                            - on-prem
                            - hybrid
                        number_employees:
                          type: number
                          description: The number of employees currently in organization.
                          examples:
                            - 10
                            - 20
                            - 30
                        contacts:
                          type: array
                          description: Points of contact for the Organization.
                          items:
                            type: object
                            properties:
                              name:
                                type: string
                                description: Name of the contact.
                                examples:
                                  - John Doe
                                  - John Smith
                              role:
                                type: string
                                description: Role of the contact.
                                examples:
                                  - Supervisor
                                  - Employee
                              email:
                                type: string
                                format: email
                                description: |-
                                  Email address of the contact.  
                                  Ensure to set this if *phone* is empty.
                                examples:
                                  - jdoe@mail.com
                                  - johnsmith@sample.com
                              phone:
                                type: string
                                description: |-
                                  Phone number of the contact.  
                                  Ensure to set this if *email* is empty.
                                examples:
                                  - '3333333333'
                                  - '3453453456'
                              email_report:
                                type: boolean
                                description: >-
                                  If `true` then will receive automatic emails
                                  each week with a report.  

                                  If set `true`, ensure *email* value is not
                                  empty.
                                examples:
                                  - true
          description: ''
      security:
        - ApiKeyAuth: []
        - ApiKeyQueryParam: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-Aegister-Token
    ApiKeyQueryParam:
      type: apiKey
      in: query
      name: X-Aegister-Token

````